%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%{!?python_ver: %define python_ver %(%{__python} -c "import sys ; print sys.version[:3]")}

Summary: Ethernet settings python bindings
Name: python-ethtool
Version: 0.6
Release: 5%{?dist}
URL: http://fedorapeople.org/gitweb?p=dsommers/public_git/python-ethtool.git;a=summary
Source: http://dsommers.fedorapeople.org/python-ethtool/%{name}-%{version}.tar.bz2
Patch0: python-ethtool-libnl-1.0-support.patch
Patch1: python-ethtool-0.3-doc.patch
Patch2: python-ethtool-aa2c20e697af1907b92129410aa10952a3ffdd68-fix-RETURN_NONE-refcount.patch
Patch3: python-ethtool-4e928d62a8e3c1dfefe6a55b81c0f0b4510b14eb-fix-error-handling.patch

# Upstream manpages for pethtool and pifconfig are built using "a2x" (from
# "asciidoc"), but this is not currently part of RHEL 5
#
# We thus use prebuilt manpages, generated thus:
# 
#   pushd python-ethtool-0.6/man
#   for f in pethtool pifconfig ; do
#     a2x -d manpage -f manpage $f.8.asciidoc
#   done
#
# Any chances to the asciidoc sources will need to be applied there also (or
# regenerated)
Source1: pethtool.8 
Source2: pifconfig.8

Patch4: 0001-Fixed-typo-in-pethtool-help-screen.patch
Patch5: python-ethtool-abc7f912f66d41dd734a10900429d4cad9377da5-memory-leaks.patch

License: GPLv2
Group: System Environment/Libraries
BuildRequires: python-devel libnl-devel
BuildRequires: pkgconfig gcc
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Python bindings for the ethtool kernel interface, that allows querying and
changing of Ethernet card settings, such as speed, port, auto-negotiation, and
PCI locations.

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .doc
%patch2 -p1 -b .fix-RETURN_NONE-refcount
%patch3 -p1 -b .fix-error-handling
cp %{SOURCE1} man/
cp %{SOURCE2} man/
%patch4 -p1
%patch5 -p1 -b .memory-leaks

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}
mkdir -p %{buildroot}%{_sbindir}
cp -p pethtool.py %{buildroot}%{_sbindir}/pethtool
cp -p pifconfig.py %{buildroot}%{_sbindir}/pifconfig
mkdir -p %{buildroot}%{_mandir}/man8
%{__gzip} -c man/pethtool.8 > %{buildroot}/%{_mandir}/man8/pethtool.8.gz
%{__gzip} -c man/pifconfig.8 > %{buildroot}/%{_mandir}/man8/pifconfig.8.gz

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING
%doc %{_mandir}/man8/*
%{_sbindir}/pethtool
%{_sbindir}/pifconfig
%{python_sitearch}/ethtool.so
%if "%{python_ver}" >= "2.5"
%{python_sitearch}/*.egg-info
%endif

%changelog
* Tue Jun 14 2011 David Malcolm <dmalcolm@redhat.com> - 0.6-5
- fix memory leaks
Resolves: rhbz#712870

* Wed Jun  8 2011 David Malcolm <dmalcolm@redhat.com> - 0.6-4
- add manpages for pethtool and pifconfig; fix typo in "pethtool --help"
Resolves: rhbz#703083

* Tue Mar 22 2011 David Malcolm <dmalcolm@redhat.com> - 0.6-3
- update to latest in EPEL5
- cherrypick fixes for Py_None reference leak, and for some error-handling bugs
Related: rhbz#675232

* Wed Apr 28 2010 David Sommerseth <davids@redhat.com> - 0.4-1
- David Sommerseth is now taking over the maintenance of python-ethtool
- New URLs for upstream source code
- Added new API: ethtool.get_interfaces_info() - returns list of etherinfo objects
- Added support retrieving for IPv6 address, using etherinfo::get_ipv6_addresses()

* Fri Sep  5 2008 Arnaldo Carvalho de Melo <acme@redhat.com> - 0.3-2
- Rewrote build and install sections as part of the fedora review process
  BZ #459549

* Tue Aug 26 2008 Arnaldo Carvalho de Melo <acme@redhat.com> - 0.3-1
- Add get_flags method from the first python-ethtool contributor, yay
- Add pifconfig command, that mimics the ifconfig tool using the
  bindings available

* Wed Aug 20 2008 Arnaldo Carvalho de Melo <acme@redhat.com> - 0.2-1
- Expand description and summary fields, as part of the fedora
  review process.

* Tue Jun 10 2008 Arnaldo Carvalho de Melo <acme@redhat.com> - 0.1-3
- add dist to the release tag

* Tue Dec 18 2007 Arnaldo Carvalho de Melo <acme@redhat.com> - 0.1-2
- First build into MRG repo

* Tue Dec 18 2007 Arnaldo Carvalho de Melo <acme@redhat.com> - 0.1-1
- Get ethtool code from rhpl 0.212
